Subject: Herbs for Arthritis

From: [email-masked] (Tim Johnson)
Date: 8 Sep 1995 16:28:26 -0700

Here is a list of herbs that treat arthritis. This list was generated by
the Herbage v2.0 for Windows herbal database system. For more information
about this software, contact Overmind Software at: [email-masked]